{% extends 'base.html' %}

{% block meta_tags %}<title>Create Account - Components</title>
        <meta name="description" content="Create an account page in components site.">{% endblock %}
{% block content %}
    <div class="subcontainer">
        <div class="col-md-8 col-sm-8 col-xs-12 col-lg-4">
        <div class = "card border-dark mb-3">
            <div class = "card-body">
                <div class="text-center mb-4">
                    <h2 class="card-title">Create Account</h2>
                </div>
                    <form method="post">
                        <!--<div class="row">
                            <div class="form-group">
                                {{ registration.first_name.label_tag }}
                                {{ registration.first_name }}
                                {{ registration.errors.first_name }}
                            </div>
                        </div>
                        <div class="row">
                            <div class="form-group">
                                {{ registration.last_name.label_tag }
                                {{ registration.last_name }}
                                {{ registration.errors.last_name }}
                            </div>
                        </div>
                        -->
                        <div class="form-group">
                            <!-- {{ registration.username.label_tag }} -->
                            {{ registration.username }}
                            {{ registration.errors.username }}
                        </div>
                        <div class="form-group">
                            <!-- {{ registration.email.label_tag }} -->
                            {{ registration.email }}
                            {{ registration.email.errors }}
                        </div>
                        <div class="form-group">
                            <!-- {{ registration.password1.label_tag }} -->
                            {{ registration.password1 }}
                            {{ registration.errors.password1 }}
                        </div>
                        <!-- <div class="form-group">
                            -- {{ registration.password2.label_tag }}
                            {{ registration.password2 }}
                            {{ registration.errors.password2 }}
                        </div> -->
                        {% csrf_token %}
                        <div class="form-group">
                            <button type="submit" class="btn btn-primary col-lg-12 col-md-12 col-xs-12 col-sm-12" name="submit">Create Account</button>
                        </div>
                    </form>
                    <div class="col-md-12 col-sm-12 col-xs-12 col-lg-12">
                        <ul class="list-inline">
                            <li>
                                <i class="fa fa-arrow-left" aria-hidden="true"></i>
                                <a href="{% url 'account:sign-in' %}">Back to login</a>
                            </li>
                        </ul>  
                    </div>
            </div>
        </div>
    </div>
    </div>
{% endblock %}